#!/opt/local/bin/zsh

port install ghc hs-cabal-install opam ocaml rvm

# ghc and haskell
cabal sandbox init
cabal update

# hakyll
cabal install hakyll

# bibtex2html
opam init
opam update
opam upgrade
opam config env
opam install bibtex2html

# compass
rvm install 2.4.1
rvm use 2.4.1 --default
rvm @global do gem install compass

# fingers crossed
make preview
